# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="7"

inherit eutils toolchain-funcs multilib

DESCRIPTION="Converts Motorola and Intel hex files to binary"
HOMEPAGE="https://sourceforge.net/projects/hex2bin/"
SRC_URI="https://sourceforge.net/projects/${PN}/files/${PN}/Hex2bin-${PV}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
IUSE="doc"

DEPEND=""
RDEPEND=""

PATCHES=(
    "${FILESDIR}/hex2bin-gcc10.patch"
)

S="${WORKDIR}"/Hex2bin-${PV}

src_compile() {
	emake CC="$(tc-getCC)" AR="$(tc-getAR)" INSTALL_DIR=${EPREFIX}/usr || die "src build fail"
}

src_install() {
	#emake CC="$(tc-getCC)" AR="$(tc-getAR)" INSTALL_DIR=${D}/${EPREFIX}/usr || die "src install failed"
	dobin hex2bin
	dobin mot2bin
	doman hex2bin.1
}
