# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

SHA="290d0cf9dcd0d9749167c9019ad694db2c3360dd"

inherit bash-completion-r1 udev

DESCRIPTION="Portable GAL Assembler"
HOMEPAGE="https://github.com/daveho/GALasm"
SRC_URI="https://github.com/daveho/GALasm/archive/${SHA}.tar.gz -> ${P}.tar.gz"

LICENSE="galasm"
SLOT="0"
KEYWORDS="~amd64"

RDEPEND=""
DEPEND="${RDEPEND}"

S=${WORKDIR}/GALasm-${SHA}

src_compile() {
	emake -C src
}

src_install() {
	dobin src/galasm
	HTML_DOCS=( "${S}"/galer/* )
	dodoc -r examples
	einstalldocs
}
